Package groovy.transform

# Annotation Type TypeChecked

@Documented @Retention(SOURCE) @Target({METHOD,TYPE,CONSTRUCTOR}) public @interface TypeChecked
This will let the Groovy compiler use compile time checks in the style of Java.

Author:
  Jochen "blackdrag" Theodorou

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`TypeChecked.TypeCheckingInfo`
This annotation is added by @TypeChecked on methods which have type checking turned on.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String[]`
`extensions`
The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.
`TypeCheckingMode`
`value`

## Element Details

### value

TypeCheckingMode value

Default:
  `PASS`

### extensions

String[] extensions
The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.

Returns:
  an array of paths to groovy scripts that must be on compile classpath

Default:
  `{}`